Subject: Re: symlinks don't work on samba mounted dir
From: [email-masked] (Larry Hall)

30 Mar 1998 18:36:09 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Stuart Adams <[email-masked]>, [email-masked]

At 09:18 AM 3/24/98 -0500, Stuart Adams wrote:
>Symlinks don't seem to work on a remote (samba)
>mounted file system. If I do ln -s a b, then say cat b
>I get !<symlink>a.
>
>I mounted the dir with:
>  mount -b m:/gnu /gnu
>
>-- Stuart
>

For performance reasons, cygwin only looks at files with the "system" 
attribute set to determine if the file is a symbolic link or not.  This
would tend to explain the behavior you see.  I'm not aware of a workaround
but then again I don't know much about samba:-(

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                    http://www.rfk.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".